/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
    font-family: 'Temeraire Bold';
    src: url('../assets/Temeraire-Bold.ttf');
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Temeraire Bold";
}

body {
  font-family: "Montserrat";
  line-height: 1.6;
  background: #141124;
  color: #ffffff;
  min-height: 100vh
}

/* Layout */
.container {
  width: 100%;
  max-width: 1100px;
  margin: auto;
}

.topbar {
  background-color: #14112499;
  padding: 30px 48px 30px 48px;
  position: fixed;
  width: 100%;
  top: 0
}

.header-offset {
  height: 48px
}

.fullscreen-canvas {
  width: 100%;
  height: 100%
}

/* Header */
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 0;
}

.logo {
  height: 2rem;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 1.5rem;
}

.nav-links a {
  text-decoration: none;
  color: inherit;
}

.menu-toggle {
  display: none;
  font-size: 1.5rem;
  background: none;
  border: none;
  cursor: pointer;
}

/* Hero */
.hero {
  padding: 4rem 0;
  text-align: center;
}

.btn {
  margin-top: 1rem;
  padding: 0.7rem 1.2rem;
  border: none;
  background: #333;
  color: white;
  cursor: pointer;
  border-radius: 5px;
}

/* Grid Section */
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 1rem;
  padding: 2rem 0;
}

.card {
  background: #1d1934;
  padding: 2rem;
  border-radius: 8px;
  text-align: center;
  box-shadow: 0 2px 5px rgba(0,0,0,0.05);
}

.reviews {
  justify-content: space-between;
  column-count: 2;   /* 2 columns */
  column-gap: 16px;
}

.review-card {
  background: #1d1934;
  padding: 2rem;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.05);
  width: 100%;
  break-inside: avoid;
  margin-bottom: 16px;
}

/* Footer */
footer {
  text-align: center;
  padding: 1rem;
  background: #222;
  color: white;
  margin-top: 2rem;
}

canvas {
  touch-action: none;
}

/* Responsive */
@media (max-width: 768px) {
  .nav-links {
    display: none;
    flex-direction: column;
    gap: 1rem;
    background: white;
    position: absolute;
    top: 70px;
    right: 5%;
    padding: 1rem;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
  }

  .nav-links.active {
    display: flex;
  }

  .menu-toggle {
    display: block;
  }
}